Dantorian Space Race

Danese

Member
Aug 20, 2013
92
9
8
22
Earth, 2021: 2 seconds out of sync
Dantorian Space Race[Galacticraft-Beta-1.7.2-3.0.0.130] [20 slots] [Open] [Griefing] [PVP] [Raiding]
Dantorian Space Race is the 1st ever Galacticraft 3 server :D

ip: 23.95.30.228:25565

This server is fully functional and has no rules other than the following:

1) No Bullying (be nice and respectful)
2) Griefing, pvp, and raiding are all allowed! Don't be upset is some1 griefes you. Instead, grief them back :D
3) Have fun :D

There are no banned items or dimensions :D

Staff:
I, httip132 (daniel W) am the owner of the server :) If you have any issues, please come to me.
skype: Daniel_Does_Minecraft
email: [email protected]

Have fun guys :D
 

Danese

Member
Aug 20, 2013
92
9
8
22
Earth, 2021: 2 seconds out of sync
The addition of buildcraft has be postponed until a later date (date unknown)
Head Admin Liam is having issues with creating a world with buildcraft installed; and we dont want any issues with the server. I'd hate to have another map reset :)
Please be patient. Also, any suggestions would be very helpful :)

Buildcraft has been added to the server and the modpack:)
 
Last edited:

radfast

Administrator
Staff member
Apr 27, 2014
1,142
353
83
Hey @Daniel, that's great that you made one of the first Galacticraft 3 servers.

I recommend you update to Galacticraft 3 BETA version 3.0.1.167 for server + clients.
Any earlier version, there can be server crashes if a client speaking a different language tries to travel to a planet (if the planet name is different in the two different languages... ). We fixed that in 3.0.1.167.

I guess this means you'll need to update your modpack now also.

Once you have 3.0.1.167 in the modpack, then in future the server owner (or clients) will be able to go grab the smaller updates of Galacticraft individually if they want to. How it works is any Galacticraft 3.0.1.xxx on the client can connect to any Galacticraft 3.0.1.xxx without problems. So for example the server can update from 3.0.1.167 to 3.0.1.168, even though the players all still have 3.0.1.167. (If we think there will be problems connecting, we will step up the version number to 3.0.2.)

Regular updating is going to be important while Galacticraft 3 is still in Beta.
 

Danese

Member
Aug 20, 2013
92
9
8
22
Earth, 2021: 2 seconds out of sync
Hey @Daniel, that's great that you made one of the first Galacticraft 3 servers.

I recommend you update to Galacticraft 3 BETA version 3.0.1.167 for server + clients.
Any earlier version, there can be server crashes if a client speaking a different language tries to travel to a planet (if the planet name is different in the two different languages... ). We fixed that in 3.0.1.167.

I guess this means you'll need to update your modpack now also.

Once you have 3.0.1.167 in the modpack, then in future the server owner (or clients) will be able to go grab the smaller updates of Galacticraft individually if they want to. How it works is any Galacticraft 3.0.1.xxx on the client can connect to any Galacticraft 3.0.1.xxx without problems. So for example the server can update from 3.0.1.167 to 3.0.1.168, even though the players all still have 3.0.1.167. (If we think there will be problems connecting, we will step up the version number to 3.0.2.)

Regular updating is going to be important while Galacticraft 3 is still in Beta.
What version of minecraft does that version of gc3 require?
 

radfast

Administrator
Staff member
Apr 27, 2014
1,142
353
83
Minecraft 1.7.2 or 1.7.10. Galacticraft works on both (it's very smart...).

We recommend Forge version 1147 for Minecraft 1.7.2, or Forge version 1180 for Minecraft 1.7.10, unless you have other mods which need later versions of Forge.
 

IsoMS

Member
Jul 26, 2013
970
73
28
32
*Canadaaaa
Modpack Suggestions:

Inventory Tweaks Mod -For Inventory/Chest Management
Zans Minimap (Voxelmap) -For waypoints and stuff.
Not Enough Items (NEI)
-Crafting Recipes for all items.
Optifine Ultra
- HD Texture Support & Improved FPS.


 

Hanakocz

Member
Dec 14, 2013
117
2
18
Your server has serious bug - nobody is able to mine or even drop items in nether...without that, some things are not able to be played...
 

Hanakocz

Member
Dec 14, 2013
117
2
18
Another problem.
I built up rocket and went to space - AND:
In Galacticraft planet choose GUI, I´m getting kicked every few seconds, because "Flying is not allowed" or what. I got around it by putting my jetpack to hover mod. Without that, I was not able to choose the destination and press LAUNCH

And second problem: same as in nether, There is no permission for other worlds, so also for space stations. It is really f*** up. I am on station, my rocket is in chest and I can´t open it and pick up. So until this is repaired, I cannot play, I wont wait there to oxygen going low and then building another rocket.
2014-09-08_14.36.52.png